package com.goldenwater.slgc.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slgc.domain.AttKmBase;
import com.goldenwater.slgc.mapper.AttKmBaseMapper;
import com.goldenwater.slgc.service.KmService;

/** 公里桩信息 业务实现 */
@Service
public class KmServiceImpl implements KmService {
    @Autowired
    private AttKmBaseMapper attKmBaseMapper;

    @Override
    public List<AttKmBase> selectAttKmBaseList(AttKmBase attKmBase) {
        return attKmBaseMapper.selectAttKmBaseList(attKmBase);
    }

    @Override
    public AttKmBase selectAttKmBaseById(String kmCode) {
        return attKmBaseMapper.selectAttKmBaseById(kmCode);
    }

    @Override
    public int deleteAttKmBaseByIds(String[] kmCodes) {
        return attKmBaseMapper.deleteAttKmBaseByIds(kmCodes);
    }

    @Override
    public int insertAttKmBase(AttKmBase attKmBase) {
        return attKmBaseMapper.insertAttKmBase(attKmBase);
    }

    @Override
    public int updateAttKmBase(AttKmBase attKmBase) {
        return attKmBaseMapper.updateAttKmBase(attKmBase);
    }
}
